---
title: Reinstall
url: https://docs.vultr.com/products/compute/instances/cloud-compute/management/reinstall-instance
description: Learn how to reinstall the operating system on your Vultr Cloud Compute instance while preserving your IP address and hostname.
publish_date: 2024-09-23T20:19:51.622167Z
last_updated: 2026-05-26T18:42:48.973591Z
---

# How to Reinstall a Vultr Cloud Compute Instance

Reinstalling an instance wipes the file system, resets all configurations, and reinstalls the operating system. Any data on the instance's file system is permanently deleted and cannot be recovered unless a backup or snapshot is available in your Vultr account.

Follow this guide to reinstall a Vultr Cloud Compute instance using the Vultr Console, API, CLI, or Terraform.

> [!WARNING]
> Reinstalling an instance will wipe all data and reinstall the operating system.

=== "Vultr Console"

    1. Navigate to **Products** and click **Compute**.
    1. Click your target Vultr Cloud Compute instance to open its management page.
    1. Click **Server Reinstall** on the top-right navigation menu.
    1. Check the confirmation prompt and click **Reinstall Server** to apply the changes.

=== "Vultr API"

    1. Send a `GET` request to the [**List Instances** endpoint](https://www.vultr.com/api/#tag/instances/operation/list-instances) and note your target instance's ID.

        ```console
        $ curl "https://api.vultr.com/v2/instances" \
          -X GET \
          -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `POST` request to the [**Reinstall Instance** endpoint](https://www.vultr.com/api/#tag/instances/operation/reinstall-instance) to reinstall the target instance.

        ```console
        $ curl "https://api.vultr.com/v2/instances/{instance-id}/reinstall" \
          -X POST \
          -H "Authorization: Bearer ${VULTR_API_KEY}" \
        ```

=== "Vultr CLI"

    1. List all available instances and note your target instance's ID.

        ```console
        $ vultr-cli instance list
        ```

    1. Reinstall the target instance.

        ```console
        $ vultr-cli instance reinstall <instance_id>
        ```

=== "Terraform"

    1. Open your Terraform configuration for the existing Cloud Compute instance.

    1. Trigger a reinstall by replacing the instance during apply.

        ```console
        $ terraform apply -replace=vultr_instance.cc
        ```

    1. Apply the configuration and observe the following output:

        ```
        Apply complete! Resources: 1 added, 0 changed, 1 destroyed.
        ```
